import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

import java.util.Random;
import java.awt.Color;

public class CrabWorld extends World
{
  //    public static final Color pathColor = new Color(227, 202, 148);
  /**
   * Erzeugt die Krabbenwelt (den Strand). Unsere Welt hat eine Größe 
   * von 560x560 Zellen, wobei jede Zelle nur ein Pixel groß ist.
   */
  public CrabWorld() 
  {
    super(560, 560, 1);
    populateWorld();

    prepare();
  }

  /**
   * Erzeugt die Objekte für den Start des Spiels.
   */
  private void populateWorld()
  {
    addObject(new Worm(), 20, 500);
    addObject(new Worm(), 30, 200);
    addObject(new Crab(), 300, 300);
  }


  /**
   * Bereite die Welt für den Programmstart vor. Das heißt: Erzeuge die Anfangs-
   * Objekte und füge sie der Welt hinzu.
   */
  private void prepare()
  {
  }
}